Bug 40131 - [GTK] Add inner-node property to WebKitHitTestResult
: [GTK] Add inner-node property to WebKitHitTestResult
Status: RESOLVED FIXED
: WebKit
WebKit Gtk
: 528+ (Nightly build)
: PC Mac OS X 10.5
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2010-06-03 11:21 PST by
Modified: 2010-06-08 04:26 PST (History)


Attachments
innernode.diff (8.57 KB, patch)
2010-06-03 11:23 PST, Xan Lopez
xan.lopez: commit‑queue-
Review Patch | Details | Formatted Diff | Diff
innernode.diff (8.57 KB, patch)
2010-06-03 11:31 PST, Xan Lopez
xan.lopez: commit‑queue-
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-06-03 11:21:07 PST
Carries the DOM node where the hit test happened.
------- Comment #1 From 2010-06-03 11:23:01 PST -------
Created an attachment (id=57793) [details]
innernode.diff

Patch
------- Comment #2 From 2010-06-03 11:23:47 PST -------
Attachment 57793 [details] did not pass style-queue:

Failed to run "['WebKitTools/Scripts/check-webkit-style', '--no-squash']" exit_code: 1
WebKit/gtk/webkit/webkithittestresult.cpp:212:  Missing spaces around |  [whitespace/operators] [3]
WARNING: File exempt from style guide. Skipping: "WebKit/gtk/tests/testhittestresult.c"
Total errors found: 1 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
------- Comment #3 From 2010-06-03 11:31:38 PST -------
Created an attachment (id=57794) [details]
innernode.diff

Fix style nit.
------- Comment #4 From 2010-06-04 12:41:29 PST -------
Thanks, Xan. This works well for the stuff I'm doing in Yelp. What needs to be done before it can be committed?
------- Comment #5 From 2010-06-07 11:04:26 PST -------
(From update of attachment 57794 [details])
 199      * The DOM node at the coordinates where the hit test
 200      * happened. Keep in mind that the node might not be
 201      * representative of the information given in the context
 202      * property, since WebKit uses a series of heuristics to figure
 203      * out that information.

I think this needs an example to be better understood. I believe this means we might not be returning an <img> node, even though the hit test result has information about the hit being in an image. I think this example, or even use the example you used in the test (innert text node vs anchor element).
------- Comment #6 From 2010-06-08 04:26:14 PST -------
(From update of attachment 57794 [details])
Pushed with the example you suggested as r60834
------- Comment #7 From 2010-06-08 04:26:30 PST -------
Closing.